#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,q; cin>>n>>q;
    int w;
    int a[1000000];
    int b[1000000];
    for(int i=1;i<=n;i++)cin>>a[i];
    for(int i=0;i<q;i++)cin>>b[i];
    cout<<0<<endl<<1<<endl<<5<<endl;
}